com.sun.syndication.io.impl

## Class ModuleParsers

- java.lang.Object
- - com.sun.syndication.io.impl.PluginManager
  - - com.sun.syndication.io.impl.ModuleParsers

    public class ModuleParsers
    extends PluginManager

### Constructor Summary

Constructors
Constructor and Description
`ModuleParsers(java.lang.String propertyKey, WireFeedParser parentParser)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getKey(java.lang.Object obj)`
`java.util.List` `getModuleNamespaces()`
`java.util.List` `parseModules(org.jdom.Element root)`

### Methods inherited from class com.sun.syndication.io.impl.PluginManager

`getKeys, getPlugin, getPluginMap, getPlugins`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ModuleParsers

    public ModuleParsers(java.lang.String propertyKey,
                         WireFeedParser parentParser)

### Method Detail

#### getKey

    public java.lang.String getKey(java.lang.Object obj)

Specified by:
  `getKey` in class `PluginManager`

#### getModuleNamespaces

    public java.util.List getModuleNamespaces()

#### parseModules

    public java.util.List parseModules(org.jdom.Element root)